Partager via


Integration Runtime Nodes - Get Ip Address

Obtenez l’adresse IP du nœud runtime d’intégration auto-hébergé.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.DataFactory/factories/{factoryName}/integrationRuntimes/{integrationRuntimeName}/nodes/{nodeName}/ipAddress?api-version=2018-06-01

Paramètres URI

Nom Dans Obligatoire Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$
integrationRuntimeName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$
nodeName
path True

string

minLength: 1
maxLength: 150
pattern: ^[a-z0-9A-Z][a-z0-9A-Z_-]{0,149}$

Nom du nœud runtime d’intégration.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Nom du groupe de ressources. Le nom ne respecte pas la casse.

subscriptionId
path True

string (uuid)

ID de l’abonnement cible. La valeur doit être un UUID.

api-version
query True

string

minLength: 1

Version de l’API à utiliser pour cette opération.

Réponses

Nom Type Description
200 OK

IntegrationRuntimeNodeIpAddress

Opération Azure terminée avec succès.

Other Status Codes

CloudError

Réponse d’erreur inattendue.

Sécurité

azure_auth

Flux OAuth2 Azure Active Directory.

Type: oauth2
Flux: implicit
URL d’autorisation: https://login.microsoftonline.com/common/oauth2/authorize

Étendues

Nom Description
user_impersonation emprunter l’identité de votre compte d’utilisateur

Exemples

IntegrationRuntimeNodes_GetIpAddress

Exemple de requête

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/microsoft.DataFactory/factories/exampleFactoryName/integrationRuntimes/exampleIntegrationRuntime/nodes/Node_1/ipAddress?api-version=2018-06-01

Exemple de réponse

Date: Thu, 14 Jun 2018 15:36:39 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: f01265af-9f38-44b8-81a1-b67f567ea728
x-ms-ratelimit-remaining-subscription-writes: 1199
x-ms-request-id: f01265af-9f38-44b8-81a1-b67f567ea728
{
  "ipAddress": "**********"
}

Définitions

Nom Description
CloudError

Objet qui définit la structure d’une réponse d’erreur Azure Data Factory.

IntegrationRuntimeNodeIpAddress

Adresse IP du nœud runtime d’intégration auto-hébergé.

CloudError

Objet qui définit la structure d’une réponse d’erreur Azure Data Factory.

Nom Type Description
error.code

string

Code d’erreur.

error.details

CloudError[]

Tableau avec des détails d’erreur supplémentaires.

error.message

string

Message d'erreur.

error.target

string

Nom/chemin de propriété dans la requête associée à l’erreur.

IntegrationRuntimeNodeIpAddress

Adresse IP du nœud runtime d’intégration auto-hébergé.

Nom Type Description
ipAddress

string

Adresse IP du nœud runtime d’intégration auto-hébergé.